qCREATE DATABASE `MHP-OEE` /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_bin */;


CREATE TABLE `MHP-OEE`.`SITE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`USR` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `USER_ID` NVARCHAR(30) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `ENABLED_MODIFIED_DATE_TIME` DATETIME NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`USER_GROUP` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `USER_GROUP` NVARCHAR(30) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`USER_GROUP_MEMBER` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `USER_GROUP_BO` NVARCHAR(255) NULL COMMENT '',
  `USER_BO` NVARCHAR(255) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ACTIVITY` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `ACTIVITY` NVARCHAR(20) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `EXECUTION_TYPE` NVARCHAR(1) NULL COMMENT '',
  `VISIBLE` NVARCHAR(5) NULL COMMENT '',
  `CLASS_OR_PROGRAM` NVARCHAR(256) NULL COMMENT '',
  `SEQUENCE_ID` INT NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ACTIVITY_PARAM` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `ACTIVITY_BO` NVARCHAR(255) NULL COMMENT '',
  `PARAM_ID` NVARCHAR(20) NULL COMMENT '',
  `PARAM_DEFAULT_VALUE` NVARCHAR(200) NULL COMMENT '',
  `PARAM_DESCRIPTION` NVARCHAR(100) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ACTIVITY_PARAM_VALUE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `ACTIVITY_BO` NVARCHAR(255) NULL COMMENT '',
  `PARAM_ID` NVARCHAR(20) NULL COMMENT '',
  `PARAM_VALUE` NVARCHAR(200) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ACTIVITY_GROUP` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `ACTIVITY_GROUP` NVARCHAR(40) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ACTIVITY_GROUP_ACTIVITY` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `ACTIVITY_GROUP_BO` NVARCHAR(255) NULL COMMENT '',
  `ACTIVITY_BO` NVARCHAR(255) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ACTIVITY_PERM` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `USER_GROUP_BO` NVARCHAR(255) NULL COMMENT '',
  `ACTIVITY_BO` NVARCHAR(255) NULL COMMENT '',
  `PERMISSION_SETTING` NVARCHAR(5) NULL COMMENT '',
  `PERMISSION_MODE` NVARCHAR(10) NULL COMMENT 'RW/R/<null>',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ACTIVITY_CLIENT` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `ACTIVITY_CLIENT` NVARCHAR(30) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `TYPE` NVARCHAR(1) NULL COMMENT '',
  `VISIBLE` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ACTIVITY_CLIENT_PERM` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `USER_GROUP_BO` NVARCHAR(255) NULL COMMENT '',
  `ACTIVITY_CLIENT_BO` NVARCHAR(255) NULL COMMENT '',
  `PERMISSION_SETTING` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_TYPE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESOURCE_TYPE` NVARCHAR(16) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`WORK_CENTER` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `WORK_CENTER` NVARCHAR(36) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `WC_CATEGORY` NVARCHAR(20) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`WORK_CENTER_MEMBER` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `WORK_CENTER_BO` NVARCHAR(255) NULL COMMENT '',
  `WORK_CENTER_GBO` NVARCHAR(255) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`WORK_CENTER_SHIFT` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `WORK_CENTER_BO` NVARCHAR(255) NULL COMMENT '',
  `SHIFT` NVARCHAR(10) NULL COMMENT '',
  `START_TIME` TIME NULL COMMENT '',
  `END_TIME` TIME NULL COMMENT '',
  `SHIFT_DURATION` DECIMAL(38,0) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESRCE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESRCE` NVARCHAR(36) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `ASSET` NVARCHAR(36) NULL COMMENT '',
  `SUB_ASSET` NVARCHAR(4) NULL COMMENT '',
  `LINE_AREA` NVARCHAR(36) NULL COMMENT '',
  `WORK_AREA` NVARCHAR(36) NULL COMMENT '',
  `WORKSHOP` NVARCHAR(36) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `EQP_USER_ID` NVARCHAR(40) NULL COMMENT '',
  `CONFIGURED_PLC_INFO` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `MHP-OEE`.`RESOURCE_ME_USER` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `ME_USER_ID` NVARCHAR(40) NULL COMMENT '',
  `SHIFT` NVARCHAR(10) NULL COMMENT '',
  `SHIFT_DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_PLC_INFO` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `PLC_IP` NVARCHAR(20) NULL COMMENT '',
  `PLC_PORT` NVARCHAR(10) NULL COMMENT '',
  `PLC_ACCESS_TYPE` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  `PC_IP` NVARCHAR(20) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_TYPE_RESOURCE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `RESOURCE_TYPE_BO` NVARCHAR(255) NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_STATE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `STATE` NVARCHAR(40) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`PLC_ACCESS_TYPE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `PLC_ACCESS_TYPE` NVARCHAR(40) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_PLC` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `PLC_ADDRESS` NVARCHAR(50) NULL COMMENT '',
  `PLC_VALUE` NVARCHAR(50) NULL COMMENT '',
  `CATEGORY` NVARCHAR(40) NULL COMMENT '',
  `PLC_OBJECT` NVARCHAR(40) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(100) NULL COMMENT '',
  `LOG_PATH` NVARCHAR(256) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`PLC_OBJECT` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `PLC_OBJECT` NVARCHAR(40) NULL COMMENT '',
  `CATEGORY` NVARCHAR(40) NULL COMMENT '',
  `PLC_OBJECT_DESCRIPTION` NVARCHAR(100) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`PLC_CATEGORY` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `CATEGORY` NVARCHAR(40) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`REASON_CODE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `REASON_CODE` NVARCHAR(128) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `REASON_CODE_GROUP` NVARCHAR(128) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`REASON_CODE_RES_STATE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `REASON_CODE_BO` NVARCHAR(255) NULL COMMENT '',
  `RESOURCE_STATE_BO` NVARCHAR(255) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `START_DATE_TIME` DATETIME NULL COMMENT '',
  `END_DATE_TIME` DATETIME NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`REASON_CODE_GROUP` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `REASON_CODE_GROUP` NVARCHAR(128) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_TIME_LOG` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `RESOURCE_STATE` NVARCHAR(40) NULL COMMENT 'P=Production, D=Down, U=Unknown',
  `START_DATE_TIME` DATETIME NULL COMMENT '',
  `END_DATE_TIME` DATETIME NULL COMMENT '',
  `ELAPSED_TIME` DECIMAL(38,0) NULL COMMENT 'uom=msec',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_ALERT_LOG` (
  `SITE` NVARCHAR(6) NOT NULL COMMENT '',
  `RESRCE` NVARCHAR(36) NULL COMMENT '',
  `RESOURCE_STATE` NVARCHAR(40) NULL COMMENT 'P=Production, D=Down, U=Unknown',
  `DATE_TIME` DATETIME NULL COMMENT '',
  `PLC_ADDRESS` NVARCHAR(50) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(100) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
   `ALERT_COMMENT` NVARCHAR(100) NULL COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_REASON_LOG` (
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESRCE` NVARCHAR(36) NULL COMMENT '',
  `DATE_TIME` DATETIME NULL COMMENT '',
  `REASON_CODE` NVARCHAR(128) NULL COMMENT '',
  `ACTION_CODE` NVARCHAR(20) NULL COMMENT '',
  `MAINTENANCE_NOTIFICATION` NVARCHAR(36) NULL COMMENT '',
  `MAINTENANCE_ORDER` NVARCHAR(36) NULL COMMENT '',
  `ME_USER_ID` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`SCHEDULED_DOWN_PLAN` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `START_DATE_TIME` DATETIME NULL COMMENT '',
  `END_DATE_TIME` DATETIME NULL COMMENT '',
  `REASON_CODE` NVARCHAR(12) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`REASON_CODE_PRIORITY` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `REASON_CODE_BO` NVARCHAR(255) NULL COMMENT '',
  `PRIORITY` NVARCHAR(3) NULL COMMENT '',
  `SUB_PRIORITY` NVARCHAR(3) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `START_DATE_TIME` DATETIME NULL COMMENT '',
  `END_DATE_TIME` DATETIME NULL COMMENT '',
  `USED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`REASON_CODE_RULE` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `REASON_CODE_PRIORITY_BO` NVARCHAR(255) NULL COMMENT '',
  `RULE` NVARCHAR(20) NULL COMMENT '',
  `ACTIVITY` NVARCHAR(20) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`REASON_CODE_RULE_PARAM` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `REASON_CODE_RULE_BO` NVARCHAR(255) NULL COMMENT '',
  `RESOURCE_TYPE` NVARCHAR(16) NULL COMMENT '',
  `PARAM_ID` NVARCHAR(20) NULL COMMENT '',
  `PARAM_VALUE` NVARCHAR(200) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`REASON_CODE_ALERT` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `RESOURCE_TYPE_BO` NVARCHAR(255) NULL COMMENT '',
  `ALERT_SEQUENCE_ID` NVARCHAR(255) NULL COMMENT '',
  `REASON_CODE_BO` NVARCHAR(255) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(100) NULL COMMENT '',
  `USED` NVARCHAR(5) NULL COMMENT '',
  `START_DATE_TIME` DATETIME NULL COMMENT '',
  `END_DATE_TIME` DATETIME NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`RESOURCE_REASON_CODE_LOG` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `RESOURCE_STATE` NVARCHAR(40) NULL COMMENT '',
  `START_DATE_TIME` DATETIME NULL COMMENT '',
  `END_DATE_TIME` DATETIME NULL COMMENT '',
  `ELAPSED_TIME` DECIMAL(38,0) NULL COMMENT 'uom=msec',
  `REASON_CODE` NVARCHAR(128) NULL COMMENT '',
  `COMMENT` NVARCHAR(200) NULL COMMENT '',
  `MAINTENANCE_NOTIFICATION` NVARCHAR(36) NULL COMMENT '',
  `MAINTENANCE_ORDER` NVARCHAR(36) NULL COMMENT '',
  `ME_USER_ID` NVARCHAR(40) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`PRODUCTION_OUTPUT_FIRST` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESRCE` NVARCHAR(36) NULL COMMENT '',
  `OPERATION` NVARCHAR(36) NULL COMMENT '',
  `OPERATION_REVISION` NVARCHAR(10) NULL COMMENT '',
  `ITEM` NVARCHAR(128) NULL COMMENT '',
  `ITEM_REVISION` NVARCHAR(20) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `START_DATE_TIME` DATETIME NULL COMMENT '',
  `END_DATE_TIME` DATETIME NULL COMMENT '',
  `SHIFT` NVARCHAR(10) NULL COMMENT '',
  `SHIFT_DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `QTY_YIELD` DECIMAL(38,6) NULL COMMENT '',
  `QTY_SCRAP` DECIMAL(38,6) NULL COMMENT '',
  `QTY_UNCONFIRM` DECIMAL(38,6) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`PRODUCTION_OUTPUT_FOLLOW_UP` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESRCE` NVARCHAR(36) NULL COMMENT '',
  `OPERATION` NVARCHAR(36) NULL COMMENT '',
  `OPERATION_REVISION` NVARCHAR(10) NULL COMMENT '',
  `ITEM` NVARCHAR(128) NULL COMMENT '',
  `ITEM_REVISION` NVARCHAR(20) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `PRODUCTION_OUTPUT_FIRST_BO` NVARCHAR(255) NULL COMMENT '',
  `START_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `END_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `SHIFT` NVARCHAR(10) NULL COMMENT '',
  `SHIFT_DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `QTY_YIELD` DECIMAL(38,6) NULL COMMENT '',
  `QTY_SCRAP` DECIMAL(38,6) NULL COMMENT '',
  `QTY_UNCONFIRM` DECIMAL(38,6) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`PRODUCTION_OUTPUT_REALTIME` (
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `RESRCE` NVARCHAR(36) NULL COMMENT '',
  `ITEM` NVARCHAR(128) NULL COMMENT '',
  `START_DATE_TIME` DATETIME NULL COMMENT '',
  `END_DATE_TIME` DATETIME NULL COMMENT '',
  `QTY_YIELD` DECIMAL(38,6) NULL COMMENT '',
  `QTY_SCRAP` DECIMAL(38,6) NULL COMMENT '',
  `QTY_INPUT` DECIMAL(38,6) NULL COMMENT '',
  `QTY_TOTAL` DECIMAL(38,6) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`ITEM` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `ITEM` NVARCHAR(128) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `REVISION` NVARCHAR(20) NULL COMMENT '',
  `MODEL` NVARCHAR(40) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`REALTIME_PPM` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `DATE_TIME` DATETIME NULL COMMENT '',
  `REALTIME_PPM` DECIMAL(38,6) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`COLOR_LIGHT` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `DATE_TIME` DATETIME NULL COMMENT '',
  `COLOR_LIGHT` NVARCHAR(2) NULL COMMENT 'R, Y, G',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`STD_CYCLE_TIME` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `ITEM` NVARCHAR(128) NULL COMMENT '',
  `OPERATION` NVARCHAR(36) NULL COMMENT '',
  `RESRCE` NVARCHAR(36) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `PPM_THEORY` DECIMAL(38,6) NULL COMMENT '',
  `STD_CYCLE_TIME` DECIMAL(38,6) NULL COMMENT '',
  `START_DATE` DATE NULL COMMENT '',
  `END_DATE` DATE NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`PRODUCTION_OUTPUT_TARGET` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `ITEM` NVARCHAR(128) NULL COMMENT '',
  `OPERATION` NVARCHAR(36) NULL COMMENT '',
  `RESRCE` NVARCHAR(36) NULL COMMENT '',
  `TARGE_QTY_YIELD` DECIMAL(38,6) NULL COMMENT '',
  `TARGE_QTY_YIELD_UNIT` NVARCHAR(20) NULL COMMENT '',
  `TARGET_DATE` NVARCHAR(20) NULL COMMENT '',
  `SHIFT` NVARCHAR(10) NULL COMMENT '',
  `SHIFT_DESCRIPTION` NVARCHAR(40) NULL COMMENT '',
  `IS_DEFAULT_VALUE` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `MHP-OEE`.`CLIENT_LOGIN_LOG` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `USER_BO` NVARCHAR(255) NULL COMMENT '',
  `RESOURCE_BO` NVARCHAR(255) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `LOGIN_DATE_TIME` DATETIME NULL COMMENT '',
  `ACTION_CODE` NVARCHAR(40) NULL COMMENT '',
  `LOGIN_MODE` NVARCHAR(10) NULL COMMENT '',
  `USER_DEPARTMENT` NVARCHAR(50) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `MHP-OEE`.`JOB_LOG` (
  `HANDLE` NVARCHAR(255) NOT NULL COMMENT '',
  `JOB` NVARCHAR(128) NULL COMMENT '',
  `STRT` NVARCHAR(20) NULL COMMENT '',
  `PLANNED_DATE_TIME` DATETIME NULL DEFAULT CURRENT_TIMESTAMP COMMENT '',
  `START_DATE_TIME` DATETIME NULL DEFAULT CURRENT_TIMESTAMP COMMENT '',
  `END_DATE_TIME` DATETIME NULL DEFAULT CURRENT_TIMESTAMP COMMENT '',
  `SERVER_NODE` NVARCHAR(40) NULL COMMENT '',
  `FETCH_SIZE` INT NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=INNODB DEFAULT CHARSET=utf8;

CREATE TABLE `MHP-OEE`.`HEART_BEAT` (
  `RESOURCE_BO` NVARCHAR(255) COMMENT '',
  `SITE` NVARCHAR(6) COMMENT '',
  `RESOURCE` NVARCHAR(255) COMMENT '',
  `HEART_TIME` DATETIME NULL DEFAULT CURRENT_TIMESTAMP COMMENT '',
  `VERSION` NVARCHAR(64) NULL COMMENT '',
  `REMARK` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`RESOURCE_BO`) COMMENT ''
) ENGINE=INNODB DEFAULT CHARSET=utf8;

CREATE TABLE `MHP-OEE`.`ALERT_COMMENT` (
  `HANDLE` NVARCHAR(412) NOT NULL COMMENT '',
  `SITE` NVARCHAR(6) NULL COMMENT '',
  `COMMENT_CODE` NVARCHAR(40) NULL COMMENT '',
  `RESOURCE_TYPE` NVARCHAR(16) NULL COMMENT '',
  `DESCRIPTION` NVARCHAR(100) NULL COMMENT '',
  `ENABLED` NVARCHAR(5) NULL COMMENT '',
  `CREATED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_DATE_TIME` DATETIME NULL DEFAULT current_timestamp COMMENT '',
  `MODIFIED_USER` NVARCHAR(255) NULL COMMENT '',
  PRIMARY KEY (`HANDLE`) COMMENT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
CREATE TABLE `MHP-OEE`.`RESOURCE_CURRENT_DATA` (
  `HANDLE`                NVARCHAR(412) NOT NULL,
  `RESOURCE_BO`                  NVARCHAR(412),
  `ITEM`                         NVARCHAR(128),
  `RESOURCE_OPERATOR`            NVARCHAR(412),
  `OPERATOR_LOCKED`              NVARCHAR(16),
  `RESOURCE_ME_STAFF`            NVARCHAR(412),
  `ME_STAFF_LOCKED`             NVARCHAR(16),
  `CREATED_DATE_TIME`     DATETIME,
  `MODIFIED_DATE_TIME`    DATETIME,
  `MODIFIED_USER`         NVARCHAR(412),
   PRIMARY KEY (`HANDLE`) COMMENT ''
);
